
.anim-top {
    position: relative;
    top: 5px;
    transition: top .3s ease-in;
}

.anim-top:hover {
    position: relative;
    top: -5px;
}

/*.my-header {*/

    /*text-align: center;*/
    /*!*background-image: linear-gradient(to right, rgba(2, 137, 174, 0.75), rgba(68, 208, 145, 0.75)),*!*/
    /*!*url('../img/iStock-872232248.jpg');*!*/
    /*background-repeat: no-repeat;*/

    /*!*background:linear-gradient(122deg, #0289ae 0%,#44d091 100%);*!*/
    /*!*background: url("/img/helpful-college-classes-e1521208451330.jpg");*!*/
    /*border-bottom-left-radius: 60px;*/
    /*border-bottom-right-radius: 60px;*/

/*}*/

/*.reg-header {*/
    /*background: linear-gradient(to right, #1d73a6, #0a4b71);*/
    /*border-bottom-left-radius: 90%;*/
    /*border-bottom-right-radius: 90%;*/

/*}*/
/*.blog-header{*/
    /*background: linear-gradient(to right, #1d73a6, #0a4b71);*/
    /*border-bottom-left-radius:30% ;*/
    /*border-bottom-right-radius:30%;*/
/*}*/
/*.header-box{*/
    /*background-color: white;*/
    /*height: 120px;*/
    /*border-radius: 20px;*/
    /*position: relative;*/
    /*top: -60px;*/
    /*box-shadow: 0 .7px .7px 0 rgba(0, 0, 0, 0.2), 0 1px 3px 0 rgba(0, 0, 0, 0.19);*/
/*}*/


.blog-list-item{
    display:inline-block;
    margin:0 8px;
    text-align:center
}
.blog-list-item:hover{
    background-color: #e3e3e3;
    border-radius: 20px;
}
.blog-list-link,.blog-list-link:hover,.blog-list-link:active,.blog-list-link:focus,.blog-list-link:visited{
    display: block;
    /*padding: .5rem 1rem;*/
    text-decoration: none;
    color: black;
}
.blog-list-icon{
    font-size: 2rem;
}

.form-group label{
    margin-top: 10px;
}

/*@media (max-width: 992px) {*/
    /*.my-header {*/
        /*max-height: 250px;;*/
    /*}*/

    /*h1 {*/
        /*padding: 0px;*/
    /*}*/
/*}*/

.form-back {
    border-top: rgba(2, 178, 117, 0.88) solid 50px;
    border-radius: 10px;
    box-shadow: 0 .7px .7px 0 rgba(0, 0, 0, 0.2), 0 1px 3px 0 rgba(0, 0, 0, 0.19);
}

.reg-btn, .reg-btn:hover, .reg-btn:active, .reg-btn:focus, .reg-btn:visited {
    background-color: rgba(255, 13, 74, 0.88);
    color: white;
    border-radius: 40px;
    width: 8rem;
}


.my-nav-item {
    color: black;
!important;
    margin-left: 50px;
}

.nav-img {
    width: 250px;
    height: 70px;
}

.my-nav-item:hover, .my-nav-item:active {
    color: #ff3b4f;
    text-decoration: none;
}

.my-nav-btn {
    background-color: inherit;
    border-color: #e1e1e1;
    border-radius: 10px;
    padding: 10px;
    color: rgb(82, 82, 82);
    margin-left: 20px;
    align-items: left;
    float: left;
}
.chat-btn-nav{
    padding-left: 15px;
    padding-right: 15px;
}

.btn-search {
    background-color: #ff3b4f;
    color: white;
    border-bottom-right-radius: 0px;
    border-top-right-radius: 0px;
    height: 50px;
}

.btn-search:hover, .btn-search:active {
    color: white;
}

.search-box {
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
    height: 50px;

}

.img-prof {

    width: 100px;
    height: 100px;
    border-radius: 50px;
    position: relative;
    top: -50px;
    border: 5px solid #f8f9fa;
}

.img-prof-reg {
    width: 120px;
    height: 120px;
    position: relative;
}

.img-login {
    width: 200px;
    height: 200px;
    min-width: 200px;
    border-radius: 50%;
    position: relative;
    top: -140px;
}

.box-header {
    height: 100px;
    margin-top: 5rem;
    background-color: rgba(13,53,152,0.88);
    text-align: center;
}
.blog-list{
    -ms-border-radius:25px;
    -moz-border-radius:25px;
    -webkit-border-radius:25px;
    border-radius:25px;
    background-color:#fff;
    white-space:nowrap;
    overflow-x:scroll;
    padding:10px
}
.img-post{
    max-height: 650px;
    border-radius: 30px;
}
.comment-box{
    color: lightgrey;
    padding: 20px;
    margin-top: 3rem;
    background:linear-gradient(60deg, #065482, #00c395);
    border-radius: 20px;
    margin-bottom: 2rem;
}
.comment-img{
    /*float: right;*/
    width: 75px;
    height: 75px;
    /*border-radius: 50%;*/

}

.comment-input{
    border-radius: 8px;
    -ms-border-radius: 8px;
    -moz-border-radius: 8px;
    -webkit-border-radius: 8px;
    border: none;
    width: 100%;
    padding: 10px 12px;
    height: 40px;
    display: block;
    background-color: #fff;
    cursor: text;
}
.share-label{
    background-color: rgba(0, 0, 0, 0.35);
    border-radius: 20px;
    padding: .4rem;
    /*font-size: small;*/
    color: white;
}
.share-icon{
    margin: 1rem;
    width: 40px;
    height: 40px;
    border-radius: 90px;
}
.post-btn{
    border-radius: 10px;
    border : #bfbfbf 1px solid;
    color: #979797;
}
.post-card-body{
    border: #bfbfbf 1px solid;
    top: -40px;
    position: relative;
    border-radius: 10px;
}
.post-card-btn,.post-card-btn:hover,.post-card-btn:active,.post-card-btn:visited,.post-card-btn:focus{
    border-radius: 20px;
    color: white;
    margin-bottom: 15px;
    /*position: relative;*/
    /*top: -30px;*/
}
.post-card-footer{
    border: none;
    background-color: white;
}
.post-btn:hover,.post-btn:active,.post-btn:focus{
    border-radius: 10px;
    background-color:#bfbfbf ;
    border : #bfbfbf 1px solid;
    color: white;
}
.post-btn{
    color: black;
}

.post-profile-box{
    margin-top: 5rem;
    border-radius: 20px;
    align-content: center;
    align-items: center;
    border: none;
}

.popular-content-img{
    border-radius: 20px;
    height: 65px;
    width: 95px;
    margin-left: 1rem;
}

.pop-content-link,.pop-content-link:hover,.pop-content-link:active,.pop-content-link:visited,.pop-content-link:focus{
    text-decoration: none;
    cursor: pointer;
}
.post-col{
    box-shadow: 0 .7px .7px 0 rgba(0, 0, 0, 0.2), 0 1px 15px 0 rgba(0, 0, 0, 0.19);

}

.col-left{}



.box-body h5{
    margin: .9rem;
}

.box-body {
    text-align: center;
}

.btn-profile, .btn-profile:hover, .btn-profile:active, .btn-profile:focus, .btn-profile:visited {
    width: 12rem;
    background-color: rgba(255, 13, 74, 0.88);
    padding-top: 1rem;
    padding-bottom: 1rem;
    margin: 2rem;
    color: white;
}
.like-btn,.like-btn:hover,.like-btn:active,.like-btn:focus,.like-btn:visited{
    color: #ff0d4a;
    background-color: rgba(255, 59, 152, 0.17);
    border-radius: 50px;
    padding: .6rem;
    padding-right: 1rem;
    padding-left: 1rem;
}

.dislike-btn,.dislike-btn:hover,.dislike-btn:active,.dislike-btn:focus,.dislike-btn:visited{
    color: #18b24b;
    background-color: rgba(24, 178, 75, 0.53);
    border-radius: 50px;
    padding: .6rem;
    padding-right: 1rem;
    padding-left: 1rem;
}


hr {
    margin: 20px;
    border: none;
    border-bottom: thin solid rgba(255, 255, 255, .1);
}

div.title {
    /*font-size: 2em;*/
}

h1 span {
    font-weight: 300;
    color: #Fd4;
}

div.stars {
    display: inline-block;
}

input.star {
    display: none;
}

label.star {
    float: right;
    padding: 10px;
    font-size: 36px;
    color: #444;
    transition: all .2s;

}

input.star:checked ~ label.star:before {
    content: '\f005';
    color: #FD4;
    transition: all .25s;
}


input.star-5:checked ~ label.star:before {
    color: #FE7;
    text-shadow: 0 0 20px #952;
}

input.star-1:checked ~ label.star:before {
    color: #F62;
}

label.star:hover {
    transform: rotate(-15deg) scale(1.3);
}

label.star:before {
    content: '\f006';
    font-family: FontAwesome;
}


input.star:checked ~ .rev-box {
    height: 125px;
    overflow: visible;
}


.wrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin-top: 2.5rem;
}

.gender-radio {
    border-radius: 5%;
    width: 6rem;
    text-align: center;

}

.prof-list {
    /*background-color: #fff;*/
    /*-ms-box-shadow: 0 10px 20px 0 rgba(0,0,0,.09);*/
    /*-moz-box-shadow: 0 10px 20px 0 rgba(0,0,0,.09);*/
    /*-webkit-box-shadow: 0 10px 20px 0 rgba(0,0,0,.09);*/
    /*box-shadow: 0 10px 20px 0 rgba(0,0,0,.09);*/
    /*-ms-border-radius: 20px;*/
    /*-moz-border-radius: 20px;*/
    /*-webkit-border-radius: 20px;*/
    /*border-radius: 20px;*/
    /*padding: 10px;*/
    /*position: relative;*/
    padding-left: 5px;
!important;
    padding-right: 5px;
!important;
}

.owl-carousel .owl-item img.client-img {
    width: 110px;
    margin: 30px auto;
    border-radius: 50%;
    box-shadow: 0px 9px 32px 0px rgba(0, 0, 0, 0.07);
}

.comment-single {
    text-align: center;
    max-width: 80%;
    margin: 0 auto;
}

.blockquote {
    color: #7a767a;
    font-weight: 300;
}

.owl-next.disabled,
.owl-prev.disabled {
    opacity: .5;
}

.owl-next,
.owl-prev {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: inherit;

}

.ti-arrow-right {

}

.owl-next {
    right: 0;

}


.owl-prev {
    left: 0;
}

.owl-theme .owl-dots {
    margin-top: 60px;
    text-align: center;
}

.owl-theme .owl-dots .owl-dot {
    background: #e7d9eb;
    width: 35px;
    height: 8px;
    border-radius: 10px;
    transition: all 0.3s ease-in;
    margin: 0 7px;
    outline: none;
}

.carousel-control-prev-icon, carousel-control-next-icon {
    color: red;
}

.owl-theme .owl-dots .owl-dot:hover {
    background: #ff487e;
}

.owl-theme .owl-dots .owl-dot.active {
    box-shadow: 0px 9px 32px 0px rgba(0, 0, 0, 0.07);
    background: #ff487e;
}

.img-comments {
    width: 100px;
    height: 100px;
    alignment: center;
}

.consultation-bullet {
    display: inline-block;
    width: 9px;
    height: 9px;
    background-color: #2cae53;
    margin: 0 0 0 10px;
    position: relative;
    top: 1px;
    z-index: 9;

    -moz-animation: status-indicator-pulse-positive 2s ease-in-out .5s infinite;
    -o-animation: status-indicator-pulse-positive 2s ease-in-out .5s infinite;
    -webkit-animation: status-indicator-pulse-positive 2s ease-in-out .5s infinite;
    animation: status-indicator-pulse-positive 2s ease-in-out .5s infinite
}

.consultation-bullet-red {
    display: inline-block;
    width: 9px;
    height: 9px;
    background-color: red;
    margin: 0 0 0 10px;
    position: relative;
    top: 1px;
    z-index: 9;
}

.rounded-circle {
    border-radius: 50%;
!important;
}

.prof-reg h3 {
    color: #1fc99a;
}
.b-r-10px{
    border-radius: 10px;
}

.prof-btn {
    background-color: #1fc99a;
    color: white;
    border-radius: 5px;
    margin-top: 1.5rem;
}

.prof-btn:active, .prof-btn:hover {
    background-color: #1ea87c;
    color: white;
}

.prof-reg, .stude-reg {
    background-color: #d1f1ec;
    border-radius: 20px;
}

.stude-reg h3 {
    color: #ba3258;
}

.stude-btn {
    background-color: #ba3258;
    color: white;
    border-radius: 5px;
    margin-top: 2.6rem;
}

.stude-btn:active, .stude-btn:hover {
    background-color: #a32c4d;
    color: white;
    border-radius: 5px;
}

.user-registration-img {
    /*background-image: url("../img/user-reg-ilstrtr.svg");*/
    background-repeat: no-repeat;
    top: -64px;
    left: 30px;
    width: 140px;
    background-size: 143px;
    height: 375px;
}

.registration-img {
    width: 125px;
    height: 350px;
    background-size: 123px;
    position: absolute;
    margin: 0;
    z-index: 9;
}

.prof-registration-img {
    top: -170px;
    right: -70px;
    /*background-image: url("../img/cartoon-woman-png-6-original.png");*/
    /*background-image: url("../img/teacher-cartoon.png");*/
    background-repeat: no-repeat;
    width: 340px;
    background-size: 343px;
    height: 575px;
}

.float-right {
    float: right !important;
}

.img-link {
    width: 140px;
    height: 140px;
    opacity: 10;
}

.footer-list {
    color: #333333;
    font-weight: bold;
    font-size: large;
}

.footer-list:active, .footer-list:hover, .footer-list:focus, .footer-list:visited {
    color: #0b0b0b;
    font-weight: bold;
    text-decoration: none;
}

.footer-img {
    width: 200px;
    height: 100px;
    margin: 0px 10px 0px 10px;
}

.footer-img-namad {
    width: 120px;
    height: 100px;
    margin: 0px 10px 0px 10px;
}

.btn-link, .btn-link:hover, .btn-link:active, .btn-link:focus, .btn-link:visited {
    border-radius: 20px;
    background-color: #065482;
    color: white;
    padding: 10px;
    margin-top: 2rem;
    text-decoration: none;
}

.blog-card{
    border-radius: 20px;
    /*width: 25rem;*/
    text-align: right;
    box-shadow: 0px 9px 10px 2px rgba(0,0,0,0.07);
    color: black;
    width: 100%;
}

.blog-tumb-img{
    border-bottom-right-radius: 20px;
    border-top-right-radius: 20px;
    border-bottom-left-radius: 0px;
    border-top-left-radius: 0px;

    /*box-shadow: 0px 9px 10px 2px rgba(0,0,0,0.07);
    color: black;*/
}

.card-img-top:hover{
    border-radius: 20px;
}

.shop-card-link,.shop-card-link:hover,.shop-card-link:active,.shop-card-link:focus,.shop-card-link:visited{
    text-decoration: none;
}

.blog-card-img{
    border-radius: 50px;
}
h5.card-title {
    color: black !important;
}
.card-footer-img{
    width: 70px;
    height: 70px;
    float: right;
}
h4.myh4 {
    color: black;!important;
}
.my-card-btn{
    border:solid 1px #ff0d4a;
    background-color: white;
    border-radius: 10px;
    color: #cd3748;
    width: 130px;
    height: 32px;
}

.my-card-btn:hover, .my-card-btn:active {
    background-color: #ff0d4a;
    border:solid 1px #ff0d4a;
    border-radius: 10px;
    color: white;

}
.blog-pgin-link{
    color: black;
}
.prof-card:hover .my-card-btn{
    background-color: #ff0d4a;
    border: solid 1px #ff0d4a;
    border-radius: 40px;
    color: white;
}

.prof-card {
    border-radius: 25px
}

.list-course {
    font-size: medium;
    border-radius: 10px;
    border: solid 1px #b3b7bb;
    padding: 5px;

}

.sp1 {
    border: rgba(0, 0, 0, 0.99);
}

.content {

}
.comment{
    border-radius: 20px;
    margin-top: 2rem;
    padding: 2rem;
}

.content-title {
    padding-top: 1rem;
    font-weight: bold;
    text-align: right;
    color: black;
}

.box-1 {
    border-radius: 50px;
    background-color: white;
    text-align: center;
    padding: 2rem;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);

}

.dl-box {
    margin-top: 10rem;
    padding: 2rem;
    background: linear-gradient(122deg, #0286ac 0%, #44d091 100%);
    border-radius: 60px;
    color: white;
}


/*.footer {*/
    /*border-bottom-left-radius: 40px;*/
    /*border-bottom-right-radius: 40px;*/
/*}*/

.cpyrght {
    background: linear-gradient(122deg, #0286ac 0%, #44d091 100%);
}

@keyframes status-indicator-pulse-positive {
    0% {
        -moz-box-shadow: 0 0 0 0 rgba(75, 210, 143, .5);
        -o-box-shadow: 0 0 0 0 rgba(75, 210, 143, .5);
        -webkit-box-shadow: 0 0 0 0 rgba(75, 210, 143, .5);
        box-shadow: 0 0 0 0 rgba(75, 210, 143, .5)
    }
    70% {
        -moz-box-shadow: 0 0 0 8px rgba(75, 210, 143, 0);
        -o-box-shadow: 0 0 0 8px rgba(75, 210, 143, 0);
        -webkit-box-shadow: 0 0 0 8px rgba(75, 210, 143, 0);
        box-shadow: 0 0 0 8px rgba(75, 210, 143, 0)
    }
    100% {
        -moz-box-shadow: 0 0 0 0 rgba(75, 210, 143, 0);
        -o-box-shadow: 0 0 0 0 rgba(75, 210, 143, 0);
        -webkit-box-shadow: 0 0 0 0 rgba(75, 210, 143, 0);
        box-shadow: 0 0 0 0 rgba(75, 210, 143, 0)
    }
}

.pa-gerd {
    border-bottom-right-radius: 40px;
    border-bottom-left-radius: 40px;
}

.img-bg {
    background-repeat: no-repeat;
    background-position: center center;

}

.user-comment-icon {
    display: block;
    width: 85px;
    height: 90px;
    position: relative;
    top: -30px;
    left: -15px;
    /*background-image: url('../img/comment-icon.svg');*/
    background-size: 100%;
}


.section-explain {
    font-weight: normal;
    font-size: 1.5em;

}

.section-title {
    font-size: 1.5em;
}

.broadcast-anim {
    -moz-animation: status-indicator-pulse-positive 2s ease-in-out .5s infinite;
    -o-animation: status-indicator-pulse-positive 2s ease-in-out .5s infinite;
    -webkit-animation: status-indicator-pulse-positive 2s ease-in-out .5s infinite;
    animation: status-indicator-pulse-positive 2s ease-in-out .5s infinite
}

.broadcast-bg {
    width: 200px;
    /*padding: 10px;*/
    min-width: 200px;
    background-image: url('../img/borderConsultantImage_CP.png');
    background-repeat: no-repeat;
    margin-top: -100px;
    padding: 40px 41px 0px 40px;
    /*background-position: right top;*/
    /*position: relative;*/
}

.about-page{
    background-color: white;
    border-radius: 10px;
    border-top: 5px solid rgba(2,178,117,0.53);
    position: relative;
    top: -80px;
    box-shadow: 0 .7px .7px 0 rgba(0, 0, 0, 0.2), 0 1px 3px 0 rgba(0, 0, 0, 0.19);

}

.contact-page{
    margin-top: 2rem;
    background-color: white;
    border-radius: 10px;
    border-top: 3px solid rgba(2,178,117,0.53);
    box-shadow: 0 .7px .7px 0 rgba(0, 0, 0, 0.2), 0 1px 3px 0 rgba(0, 0, 0, 0.19);
}

.factor-form .form-control{
    max-width: 300px;
}
.factor-img{
    width: 80px;
    height: 60px;
}




/*admin panel styles*/

.user-list{
    max-width: 230px;
    min-width:150px ;
    height: 30px;
}
.table-header{
    border:2px solid #878787;
}
.user-list-menu{
    /*border-radius: 20px;*/
    /*box-shadow : 0 -1px 4px 0 rgba(0, 0, 0, 0.15);*/
    background-color: white;
    padding: 4px;
}
.img-product-list{
    height: 80px;
    width: 80px;
}

.my-search-box{
    position: absolute;
    width: 100%;
    left:0;
    padding: 2rem;
    background-color: #80bdff;
    border-radius: 10px;
    overflow:   scroll;
    overflow-y: scroll;
    overflow-x: hidden;
}
::-webkit-scrollbar {
    width: 0px;
    background: transparent; /* make scrollbar transparent */
}

/* The side navigation menu */
.sidenav {
    height: 100%; /* 100% Full-height */
    width: 0; /* 0 width - change this with JavaScript */
    position: fixed; /* Stay in place */
    z-index: 1; /* Stay on top */
    top: 0; /* Stay at the top */
    left: 0;
    background-color: #f1f1f1; /* Black*/
    overflow-x: hidden; /* Disable horizontal scroll */
    padding-top: 60px; /* Place content 60px from the top */
    transition: 0.4s; /* 0.5 second transition effect to slide in the sidenav */
}

/* The navigation menu links */
.sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #818181;
    display: block;
    transition: 0.3s;
}

/* When you mouse over the navigation links, change their color */
.sidenav a:hover {
    color: #454545;
}

/* Position and style the close button (top right corner) */
.sidenav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
}

/* Style page content - use this if you want to push the page content to the right when you open the side navigation */
#main {
    transition: margin-left .5s;
    padding: 20px;
}

/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
    .sidenav {padding-top: 15px;}
    .sidenav a {font-size: 18px;}
}

.vertical-center {
    margin: 0;
    position: absolute;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

.box-shadow{
    box-shadow : 0 -1px 4px 0 rgba(0, 0, 0, 0.15)
}
.box-shadow-2{
    box-shadow : 0 3px 10px 0 rgba(0, 0, 0, 0.96)
}

.rounded{
    border-radius: 2%
}

.checkout-ul{
    overflow-x: auto !important;
    width:auto;
    display: inline-block;
    max-width: 100%
}
.h-w-50{
    height: 50px;
    width: 50px
}
.min-w-145{
    min-width: 145px;
}
.img-major{
    width: 100px;
    height: 100px;
    border-radius: 10px;
}
.max-h-w-40{
    max-height: 40px;
    max-width: 40px;
}
.font-iran-sans{
    font-family: IRANSans;
}

.img-cat{
    width: 70px;
    height: 70px;
    border-radius: 70px;
}

.img-topic{
    width: 100px;
    height: 100px;
    border-radius: 10px;
}

.img-product{
    width: 60px;
    height: 60px;
    border-radius: 10px;
}
.w-50-100{
    width: 50%;
}
.w-60-100{
    width: 60%;
}
.w-70-100{
    width: 70%;
}
.w-80-100{
    width: 80% !important;
}
.w-90-100{
    width: 90%;
}
.w-95-100{
    width: 95%;
}

.max-h-w-150{
    max-height: 150px;
    max-width: 150px;
}
.img-mobile{
    position: relative;
    margin-bottom: -50px;
}
.mt-7rem{
    margin-top: 7rem;
}
.max-h-80{
    max-height: 80px;
}
.border-top-footer{
    border-top: solid 1px gainsboro;
}

.h-15rem{
    height: 15rem;
}

.h-w-55{
    /*height: 55px;*/
    /*width: 55px;*/
    max-width: 55px;!important;
    max-height: 55px;!important;
    min-height: 55px;!important;
    min-width: 55px;!important;
}

.min-h-172{
    min-height: 172px;
}

.br-50-10{
    border-radius: 50%;
}

.br-20px{
    border-radius: 20px;
}

.img-post-max-min{
    max-height: 120px;
    max-width: 120px;
    min-height: 120px;
    min-width: 120px;
}
.img-203-max-min{
    max-height: 2030px!important;
    max-width: 203px!important;
    min-height: 203px!important;
    min-width: 203px!important;
}
.card-title-position{
    top: -40px;
    position: relative;
}

.comment-badge{
    border-radius: 20px;
    padding: 8px;
    color: white;
}

.post-bg-red{
    background-color:#ff0d4a
}

.post-bg-green{
    background-color: #18b24b;
}

.border-1-solid{
    border-bottom:1px #bfbfbf solid;
}

.h-10rem{
    height: 10rem;
}

.buy-box-shadow{
    box-shadow: 0 .7px .7px 0 rgba(0, 0, 0, 0.2), 0 1px 3px 0 rgba(0, 0, 0, 0.19);
}

.border-1-gainsboro{
    border-bottom: 1px solid gainsboro;
}

.border-1-dash-blue{
    border-bottom: 1px dashed blue;
}

.max-min-348{
    max-height:348px;min-height: 348px;
}
.red{
    color: red;
}

.min-w-80{
    min-width: 80px;
}

.border-1-silver{
    border-bottom: silver solid 1px;
}

.custom-blue{
    color: rgb(66,76,159)
}

.custom-blue-darker{
    color: rgb(38,68,124)
}

.h-30px{
    height: 30px;
}

.h90-w85{
    height: 90px;
    width: 85px;
}

.br-25px{
    border-radius: 25px;
}

.img-comment-size{
    max-height: 120px;!important;
    max-width: 120px;!important;
    min-height: 120px;!important;
    min-width: 120px;!important;
}

.custom-p-index-r{
    color: #6d8883;!important;
    padding-right: 10rem;!important;
}

.custom-p-index-l{
    color: #6d8883;!important;
    padding-left: 10rem;!important;
}
.checked {
    color: orange;
}

.border-teacher-index{
    border: #0286AC 3px dashed ;
    border-radius: 30px;
}

.img-ads{
    margin-top: 1.5rem;
    border-radius: 10px;
}

.large-star{
    font-size: 2rem;
}
.max-min-h-w-120{
    max-height: 120px;
    max-width: 120px;
    min-width: 120px;
    min-height:120px ;
}

#sidebar .nav{
margin-right: 1rem;
}
@media (min-width: 992px) {
    #sidebar{
        z-index: 2;
        height: calc(100vh - 0px)!important;

        /*height: 100%;*/
        position: fixed;
        transition: .4s transform linear;
        /*overflow-y: auto !important;*/
    }
    #sidebar.collapse{
        transform: translate(100%,0);
    }
    #sidebar.collapsing{
        transform: translate(100%,0);
    }
    #sidebar.collapse.show{
        transform: translate(0,0);
    }
    #main{
        transition: 2s all;
        transition-delay: .3s;
    }
    #navbar{
        transition: 2s all ;
        transition-delay: .3s;

    }
    #footer{
        transition: 2s all ;
        transition-delay: .3s;
    }



}

#sidebar.collapsing{
    height: 0;
}

#sidebar{
    z-index: 7;
    top: 0;
    height: 100%;

}

#sidebar .fa-caret-left{
     transform: rotate(-90deg);
 }
#sidebar .collapsed .fa-caret-left{
    transform: rotate(0deg);
}
#sidebar .fa{
    transition: .3s transform ease-in-out;
}

/*.myfooter{*/
    /*position: fixed;*/
    /*left: 0;*/
    /*bottom: 0;*/
/*}*/
.myNav{
    width: calc(100vw - (200vw/12))!important;
}

.main-shadow{
    box-shadow : 0 3px 5px 0 rgba(0, 0, 0, 0.15);

}


.color1{
    color: #322f3d;
}
.bg-color1{
    background-color: #322f3d;
}

.color2{
    color: #59405c;
}
.bg-color2{
    background-color: #59405c;
}
.coloryellow{
    color: #ffe42f !important;
}

.color3{
    color: #d6c8ff;
}
.bg-color3{
    background-color: #d6c8ff;
}

.color4{
    color: #fef0ff;
}
.bg-color4{
    background-color: #fef0ff;
}

.my-nav-item{
    display:inline-block;
    margin:0 8px;
    text-align:center
}
.my-nav-link{
    display: block;
    text-decoration: none;
    color: #fef0ff;
}
.my-nav-link:hover,.my-nav-link:active, .my-nav-link:focus{
    display: block;
    text-decoration: none;
    color: #cb93ce;
}

.footer{
    /*background: linear-gradient(to bottom right, rgba(214, 200, 255, 0),#59405c);*/

    /*width: calc(100vw - 256px);*/
}
#footer{
    z-index: 6!important;
    /*font-size: 0.9em;*/
}
#sidebar .nav-link .coloryellow{
    color: #ffe42f !important;

}
.green-light{
    color: #61ff9c !important;
}
#sidebar .nav-link .green-light{
    color: #61ff9c !important;
}
.fade-footer{
    z-index: 6 !important;
    background: linear-gradient(to top, rgba(89, 64, 92, 1), rgba(255, 255, 255, 0.1));

    /*background-color: rgba(214,200,255,0.8);*/
}
.right-0{
    bottom: 0!important;
    right: 0!important;
    left: 0!important;
}
.btn-logout:hover{
    color: #ff462d;
}
.side li a{
    padding-right: 0 !important;
    padding-left: 0 !important;
}
.side{
    padding-left: 0!important;
}
.charak-logo{
    padding-right: 0 !important;
    padding-left: 0 !important;
  }
ul.side li.active{
    /*background-color:#d6c8ff;*/
    border: 1px solid #d6c8ff;
    border-radius: 10px;
    padding-right: 10px;
    vertical-align: center;
    background-color: #7a5b7d;
}

.autocomplete {
    /*the container must be positioned relative:*/
    position: relative;
    display: inline-block;
}
input {
    border: 1px solid transparent;
    background-color: #f1f1f1;
    padding: 10px;
    font-size: 16px;
}
input[type=text] {
    background-color: #f1f1f1;
    width: 100%;
}

.autocomplete-items {
    position: absolute;!important;
    border: 1px solid #d4d4d4;!important;
    border-bottom: none;
    border-top: none;
    z-index: 99;
    /*position the autocomplete items to be the same width as the container:*/
    top: 100%;
    left: 0;
    right: 0;
}
.autocomplete-items div {
    padding: 10px;
    cursor: pointer;
    background-color: #fff;
    border-bottom: 1px solid #d4d4d4;
}
.autocomplete-items div:hover {
    /*when hovering an item:*/
    background-color: #e9e9e9;
}
.autocomplete-active {
    /*when navigating through the items using the arrow keys:*/
    background-color: DodgerBlue !important;
    color: #ffffff;
}

.overflow-auto {
    overflow: auto !important;
}

.overflow-hidden {
    overflow: hidden !important;
}

.position-static {
    position: static !important;
}

.position-relative {
    position: relative !important;
}

.position-absolute {
    position: absolute !important;
}

.position-fixed {
    position: fixed !important;
}

.position-sticky {
    position: -webkit-sticky !important;
    position: sticky !important;
}

.fixed-top {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1030;
}

.fixed-bottom {
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1030;
}

@supports ((position: -webkit-sticky) or (position: sticky)) {
    .sticky-top {
        position: -webkit-sticky;
        position: sticky;
        top: 0;
        z-index: 1020;
    }
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

.sr-only-focusable:active, .sr-only-focusable:focus {
    position: static;
    width: auto;
    height: auto;
    overflow: visible;
    clip: auto;
    white-space: normal;
}

.shadow-sm {
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
}

.shadow {
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
}

.shadow-lg {
    box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175) !important;
}

.shadow-none {
    box-shadow: none !important;
}

.w-25 {
    width: 25% !important;
}

.w-50 {
    width: 50% !important;
}

.w-75 {
    width: 75% !important;
}

.w-100 {
    width: 100% !important;
}

.w-auto {
    width: auto !important;
}

.h-25 {
    height: 25% !important;
}

.h-50 {
    height: 50% !important;
}

.h-75 {
    height: 75% !important;
}

.h-100 {
    height: 100% !important;
}

.h-auto {
    height: auto !important;
}

.mw-100 {
    max-width: 100% !important;
}

.mh-100 {
    max-height: 100% !important;
}

.min-vw-100 {
    min-width: 100vw !important;
}

.min-vh-100 {
    min-height: 100vh !important;
}

.vw-100 {
    width: 100vw !important;
}

.vh-100 {
    height: 100vh !important;
}

.m-0 {
    margin: 0 !important;
}

.mt-0,
.my-0 {
    margin-top: 0 !important;
}

.mr-0,
.mx-0 {
    margin-right: 0 !important;
}

.mb-0,
.my-0 {
    margin-bottom: 0 !important;
}

.ml-0,
.mx-0 {
    margin-right: 0 !important;
}

.m-1 {
    margin: 0.25rem !important;
}

.mt-1,
.my-1 {
    margin-top: 0.25rem !important;
}

.mr-1,
.mx-1 {
    margin-right: 0.25rem !important;
}

.mb-1,
.my-1 {
    margin-bottom: 0.25rem !important;
}

.ml-1,
.mx-1 {
    margin-right: 0.25rem !important;
}

.m-2 {
    margin: 0.5rem !important;
}

.mt-2,
.my-2 {
    margin-top: 0.5rem !important;
}

.mr-2,
.mx-2 {
    margin-right: 0.5rem !important;
}

.mb-2,
.my-2 {
    margin-bottom: 0.5rem !important;
}

.ml-2,
.mx-2 {
    margin-right: 0.5rem !important;
}

.m-3 {
    margin: 1rem !important;
}

.mt-3,
.my-3 {
    margin-top: 1rem !important;
}

.mr-3,
.mx-3 {
    margin-right: 1rem !important;
}

.mb-3,
.my-3 {
    margin-bottom: 1rem !important;
}

.ml-3,
.mx-3 {
    margin-right: 1rem !important;
}

.m-4 {
    margin: 1.5rem !important;
}

.mt-4,
.my-4 {
    margin-top: 1.5rem !important;
}

.mr-4,
.mx-4 {
    margin-right: 1.5rem !important;
}

.mb-4,
.my-4 {
    margin-bottom: 1.5rem !important;
}

.ml-4,
.mx-4 {
    margin-right: 1.5rem !important;
}

.m-5 {
    margin: 3rem !important;
}

.mt-5,
.my-5 {
    margin-top: 3rem !important;
}

.mr-5,
.mx-5 {
    margin-right: 3rem !important;
}

.mb-5,
.my-5 {
    margin-bottom: 3rem !important;
}

.ml-5,
.mx-5 {
    margin-right: 3rem !important;
}

.p-0 {
    padding: 0 !important;
}

.pt-0,
.py-0 {
    padding-top: 0 !important;
}

.pr-0,
.px-0 {
    padding-right: 0 !important;
}

.pb-0,
.py-0 {
    padding-bottom: 0 !important;
}

.pl-0,
.px-0 {
    padding-right: 0 !important;
}

.p-1 {
    padding: 0.25rem !important;
}

.pt-1,
.py-1 {
    padding-top: 0.25rem !important;
}

.pr-1,
.px-1 {
    padding-right: 0.25rem !important;
}

.pb-1,
.py-1 {
    padding-bottom: 0.25rem !important;
}

.pl-1,
.px-1 {
    padding-right: 0.25rem !important;
}

.p-2 {
    padding: 0.5rem !important;
}

.pt-2,
.py-2 {
    padding-top: 0.5rem !important;
}

.pr-2,
.px-2 {
    padding-right: 0.5rem !important;
}

.pb-2,
.py-2 {
    padding-bottom: 0.5rem !important;
}

.pl-2,
.px-2 {
    padding-right: 0.5rem !important;
}

.p-3 {
    padding: 1rem !important;
}

.pt-3,
.py-3 {
    padding-top: 1rem !important;
}

.pr-3,
.px-3 {
    padding-right: 1rem !important;
}

.pb-3,
.py-3 {
    padding-bottom: 1rem !important;
}

.pl-3,
.px-3 {
    padding-right: 1rem !important;
}

.p-4 {
    padding: 1.5rem !important;
}

.pt-4,
.py-4 {
    padding-top: 1.5rem !important;
}

.pr-4,
.px-4 {
    padding-right: 1.5rem !important;
}

.pb-4,
.py-4 {
    padding-bottom: 1.5rem !important;
}

.pl-4,
.px-4 {
    padding-right: 1.5rem !important;
}

.p-5 {
    padding: 3rem !important;
}

.pt-5,
.py-5 {
    padding-top: 3rem !important;
}

.pr-5,
.px-5 {
    padding-right: 3rem !important;
}

.pb-5,
.py-5 {
    padding-bottom: 3rem !important;
}

.pl-5,
.px-5 {
    padding-right: 3rem !important;
}

.m-n1 {
    margin: -0.25rem !important;
}

.mt-n1,
.my-n1 {
    margin-top: -0.25rem !important;
}

.mr-n1,
.mx-n1 {
    margin-right: -0.25rem !important;
}

.mb-n1,
.my-n1 {
    margin-bottom: -0.25rem !important;
}

.ml-n1,
.mx-n1 {
    margin-right: -0.25rem !important;
}

.m-n2 {
    margin: -0.5rem !important;
}

.mt-n2,
.my-n2 {
    margin-top: -0.5rem !important;
}

.mr-n2,
.mx-n2 {
    margin-right: -0.5rem !important;
}

.mb-n2,
.my-n2 {
    margin-bottom: -0.5rem !important;
}

.ml-n2,
.mx-n2 {
    margin-right: -0.5rem !important;
}

.m-n3 {
    margin: -1rem !important;
}

.mt-n3,
.my-n3 {
    margin-top: -1rem !important;
}

.mr-n3,
.mx-n3 {
    margin-right: -1rem !important;
}

.mb-n3,
.my-n3 {
    margin-bottom: -1rem !important;
}

.ml-n3,
.mx-n3 {
    margin-right: -1rem !important;
}

.m-n4 {
    margin: -1.5rem !important;
}

.mt-n4,
.my-n4 {
    margin-top: -1.5rem !important;
}

.mr-n4,
.mx-n4 {
    margin-right: -1.5rem !important;
}

.mb-n4,
.my-n4 {
    margin-bottom: -1.5rem !important;
}

.ml-n4,
.mx-n4 {
    margin-right: -1.5rem !important;
}

.m-n5 {
    margin: -3rem !important;
}

.mt-n5,
.my-n5 {
    margin-top: -3rem !important;
}

.mr-n5,
.mx-n5 {
    margin-right: -3rem !important;
}

.mb-n5,
.my-n5 {
    margin-bottom: -3rem !important;
}

.ml-n5,
.mx-n5 {
    margin-right: -3rem !important;
}

.m-auto {
    margin: auto !important;
}

.mt-auto,
.my-auto {
    margin-top: auto !important;
}

.mr-auto,
.mx-auto {
    margin-right: auto !important;
}

.mb-auto,
.my-auto {
    margin-bottom: auto !important;
}

.ml-auto,
.mx-auto {
    margin-right: auto !important;
}

@media (min-width: 576px) {
    .m-sm-0 {
        margin: 0 !important;
    }
    .mt-sm-0,
    .my-sm-0 {
        margin-top: 0 !important;
    }
    .mr-sm-0,
    .mx-sm-0 {
        margin-right: 0 !important;
    }
    .mb-sm-0,
    .my-sm-0 {
        margin-bottom: 0 !important;
    }
    .ml-sm-0,
    .mx-sm-0 {
        margin-right: 0 !important;
    }
    .m-sm-1 {
        margin: 0.25rem !important;
    }
    .mt-sm-1,
    .my-sm-1 {
        margin-top: 0.25rem !important;
    }
    .mr-sm-1,
    .mx-sm-1 {
        margin-right: 0.25rem !important;
    }
    .mb-sm-1,
    .my-sm-1 {
        margin-bottom: 0.25rem !important;
    }
    .ml-sm-1,
    .mx-sm-1 {
        margin-right: 0.25rem !important;
    }
    .m-sm-2 {
        margin: 0.5rem !important;
    }
    .mt-sm-2,
    .my-sm-2 {
        margin-top: 0.5rem !important;
    }
    .mr-sm-2,
    .mx-sm-2 {
        margin-right: 0.5rem !important;
    }
    .mb-sm-2,
    .my-sm-2 {
        margin-bottom: 0.5rem !important;
    }
    .ml-sm-2,
    .mx-sm-2 {
        margin-right: 0.5rem !important;
    }
    .m-sm-3 {
        margin: 1rem !important;
    }
    .mt-sm-3,
    .my-sm-3 {
        margin-top: 1rem !important;
    }
    .mr-sm-3,
    .mx-sm-3 {
        margin-right: 1rem !important;
    }
    .mb-sm-3,
    .my-sm-3 {
        margin-bottom: 1rem !important;
    }
    .ml-sm-3,
    .mx-sm-3 {
        margin-right: 1rem !important;
    }
    .m-sm-4 {
        margin: 1.5rem !important;
    }
    .mt-sm-4,
    .my-sm-4 {
        margin-top: 1.5rem !important;
    }
    .mr-sm-4,
    .mx-sm-4 {
        margin-right: 1.5rem !important;
    }
    .mb-sm-4,
    .my-sm-4 {
        margin-bottom: 1.5rem !important;
    }
    .ml-sm-4,
    .mx-sm-4 {
        margin-right: 1.5rem !important;
    }
    .m-sm-5 {
        margin: 3rem !important;
    }
    .mt-sm-5,
    .my-sm-5 {
        margin-top: 3rem !important;
    }
    .mr-sm-5,
    .mx-sm-5 {
        margin-right: 3rem !important;
    }
    .mb-sm-5,
    .my-sm-5 {
        margin-bottom: 3rem !important;
    }
    .ml-sm-5,
    .mx-sm-5 {
        margin-right: 3rem !important;
    }
    .p-sm-0 {
        padding: 0 !important;
    }
    .pt-sm-0,
    .py-sm-0 {
        padding-top: 0 !important;
    }
    .pr-sm-0,
    .px-sm-0 {
        padding-right: 0 !important;
    }
    .pb-sm-0,
    .py-sm-0 {
        padding-bottom: 0 !important;
    }
    .pl-sm-0,
    .px-sm-0 {
        padding-right: 0 !important;
    }
    .p-sm-1 {
        padding: 0.25rem !important;
    }
    .pt-sm-1,
    .py-sm-1 {
        padding-top: 0.25rem !important;
    }
    .pr-sm-1,
    .px-sm-1 {
        padding-right: 0.25rem !important;
    }
    .pb-sm-1,
    .py-sm-1 {
        padding-bottom: 0.25rem !important;
    }
    .pl-sm-1,
    .px-sm-1 {
        padding-right: 0.25rem !important;
    }
    .p-sm-2 {
        padding: 0.5rem !important;
    }
    .pt-sm-2,
    .py-sm-2 {
        padding-top: 0.5rem !important;
    }
    .pr-sm-2,
    .px-sm-2 {
        padding-right: 0.5rem !important;
    }
    .pb-sm-2,
    .py-sm-2 {
        padding-bottom: 0.5rem !important;
    }
    .pl-sm-2,
    .px-sm-2 {
        padding-right: 0.5rem !important;
    }
    .p-sm-3 {
        padding: 1rem !important;
    }
    .pt-sm-3,
    .py-sm-3 {
        padding-top: 1rem !important;
    }
    .pr-sm-3,
    .px-sm-3 {
        padding-right: 1rem !important;
    }
    .pb-sm-3,
    .py-sm-3 {
        padding-bottom: 1rem !important;
    }
    .pl-sm-3,
    .px-sm-3 {
        padding-right: 1rem !important;
    }
    .p-sm-4 {
        padding: 1.5rem !important;
    }
    .pt-sm-4,
    .py-sm-4 {
        padding-top: 1.5rem !important;
    }
    .pr-sm-4,
    .px-sm-4 {
        padding-right: 1.5rem !important;
    }
    .pb-sm-4,
    .py-sm-4 {
        padding-bottom: 1.5rem !important;
    }
    .pl-sm-4,
    .px-sm-4 {
        padding-right: 1.5rem !important;
    }
    .p-sm-5 {
        padding: 3rem !important;
    }
    .pt-sm-5,
    .py-sm-5 {
        padding-top: 3rem !important;
    }
    .pr-sm-5,
    .px-sm-5 {
        padding-right: 3rem !important;
    }
    .pb-sm-5,
    .py-sm-5 {
        padding-bottom: 3rem !important;
    }
    .pl-sm-5,
    .px-sm-5 {
        padding-right: 3rem !important;
    }
    .m-sm-n1 {
        margin: -0.25rem !important;
    }
    .mt-sm-n1,
    .my-sm-n1 {
        margin-top: -0.25rem !important;
    }
    .mr-sm-n1,
    .mx-sm-n1 {
        margin-right: -0.25rem !important;
    }
    .mb-sm-n1,
    .my-sm-n1 {
        margin-bottom: -0.25rem !important;
    }
    .ml-sm-n1,
    .mx-sm-n1 {
        margin-right: -0.25rem !important;
    }
    .m-sm-n2 {
        margin: -0.5rem !important;
    }
    .mt-sm-n2,
    .my-sm-n2 {
        margin-top: -0.5rem !important;
    }
    .mr-sm-n2,
    .mx-sm-n2 {
        margin-right: -0.5rem !important;
    }
    .mb-sm-n2,
    .my-sm-n2 {
        margin-bottom: -0.5rem !important;
    }
    .ml-sm-n2,
    .mx-sm-n2 {
        margin-right: -0.5rem !important;
    }
    .m-sm-n3 {
        margin: -1rem !important;
    }
    .mt-sm-n3,
    .my-sm-n3 {
        margin-top: -1rem !important;
    }
    .mr-sm-n3,
    .mx-sm-n3 {
        margin-right: -1rem !important;
    }
    .mb-sm-n3,
    .my-sm-n3 {
        margin-bottom: -1rem !important;
    }
    .ml-sm-n3,
    .mx-sm-n3 {
        margin-right: -1rem !important;
    }
    .m-sm-n4 {
        margin: -1.5rem !important;
    }
    .mt-sm-n4,
    .my-sm-n4 {
        margin-top: -1.5rem !important;
    }
    .mr-sm-n4,
    .mx-sm-n4 {
        margin-right: -1.5rem !important;
    }
    .mb-sm-n4,
    .my-sm-n4 {
        margin-bottom: -1.5rem !important;
    }
    .ml-sm-n4,
    .mx-sm-n4 {
        margin-right: -1.5rem !important;
    }
    .m-sm-n5 {
        margin: -3rem !important;
    }
    .mt-sm-n5,
    .my-sm-n5 {
        margin-top: -3rem !important;
    }
    .mr-sm-n5,
    .mx-sm-n5 {
        margin-right: -3rem !important;
    }
    .mb-sm-n5,
    .my-sm-n5 {
        margin-bottom: -3rem !important;
    }
    .ml-sm-n5,
    .mx-sm-n5 {
        margin-right: -3rem !important;
    }
    .m-sm-auto {
        margin: auto !important;
    }
    .mt-sm-auto,
    .my-sm-auto {
        margin-top: auto !important;
    }
    .mr-sm-auto,
    .mx-sm-auto {
        margin-right: auto !important;
    }
    .mb-sm-auto,
    .my-sm-auto {
        margin-bottom: auto !important;
    }
    .ml-sm-auto,
    .mx-sm-auto {
        margin-right: auto !important;
    }
}

@media (min-width: 768px) {
    .m-md-0 {
        margin: 0 !important;
    }
    .mt-md-0,
    .my-md-0 {
        margin-top: 0 !important;
    }
    .mr-md-0,
    .mx-md-0 {
        margin-right: 0 !important;
    }
    .mb-md-0,
    .my-md-0 {
        margin-bottom: 0 !important;
    }
    .ml-md-0,
    .mx-md-0 {
        margin-right: 0 !important;
    }
    .m-md-1 {
        margin: 0.25rem !important;
    }
    .mt-md-1,
    .my-md-1 {
        margin-top: 0.25rem !important;
    }
    .mr-md-1,
    .mx-md-1 {
        margin-right: 0.25rem !important;
    }
    .mb-md-1,
    .my-md-1 {
        margin-bottom: 0.25rem !important;
    }
    .ml-md-1,
    .mx-md-1 {
        margin-right: 0.25rem !important;
    }
    .m-md-2 {
        margin: 0.5rem !important;
    }
    .mt-md-2,
    .my-md-2 {
        margin-top: 0.5rem !important;
    }
    .mr-md-2,
    .mx-md-2 {
        margin-right: 0.5rem !important;
    }
    .mb-md-2,
    .my-md-2 {
        margin-bottom: 0.5rem !important;
    }
    .ml-md-2,
    .mx-md-2 {
        margin-right: 0.5rem !important;
    }
    .m-md-3 {
        margin: 1rem !important;
    }
    .mt-md-3,
    .my-md-3 {
        margin-top: 1rem !important;
    }
    .mr-md-3,
    .mx-md-3 {
        margin-right: 1rem !important;
    }
    .mb-md-3,
    .my-md-3 {
        margin-bottom: 1rem !important;
    }
    .ml-md-3,
    .mx-md-3 {
        margin-right: 1rem !important;
    }
    .m-md-4 {
        margin: 1.5rem !important;
    }
    .mt-md-4,
    .my-md-4 {
        margin-top: 1.5rem !important;
    }
    .mr-md-4,
    .mx-md-4 {
        margin-right: 1.5rem !important;
    }
    .mb-md-4,
    .my-md-4 {
        margin-bottom: 1.5rem !important;
    }
    .ml-md-4,
    .mx-md-4 {
        margin-right: 1.5rem !important;
    }
    .m-md-5 {
        margin: 3rem !important;
    }
    .mt-md-5,
    .my-md-5 {
        margin-top: 3rem !important;
    }
    .mr-md-5,
    .mx-md-5 {
        margin-right: 3rem !important;
    }
    .mb-md-5,
    .my-md-5 {
        margin-bottom: 3rem !important;
    }
    .ml-md-5,
    .mx-md-5 {
        margin-right: 3rem !important;
    }
    .p-md-0 {
        padding: 0 !important;
    }
    .pt-md-0,
    .py-md-0 {
        padding-top: 0 !important;
    }
    .pr-md-0,
    .px-md-0 {
        padding-right: 0 !important;
    }
    .pb-md-0,
    .py-md-0 {
        padding-bottom: 0 !important;
    }
    .pl-md-0,
    .px-md-0 {
        padding-right: 0 !important;
    }
    .p-md-1 {
        padding: 0.25rem !important;
    }
    .pt-md-1,
    .py-md-1 {
        padding-top: 0.25rem !important;
    }
    .pr-md-1,
    .px-md-1 {
        padding-right: 0.25rem !important;
    }
    .pb-md-1,
    .py-md-1 {
        padding-bottom: 0.25rem !important;
    }
    .pl-md-1,
    .px-md-1 {
        padding-right: 0.25rem !important;
    }
    .p-md-2 {
        padding: 0.5rem !important;
    }
    .pt-md-2,
    .py-md-2 {
        padding-top: 0.5rem !important;
    }
    .pr-md-2,
    .px-md-2 {
        padding-right: 0.5rem !important;
    }
    .pb-md-2,
    .py-md-2 {
        padding-bottom: 0.5rem !important;
    }
    .pl-md-2,
    .px-md-2 {
        padding-right: 0.5rem !important;
    }
    .p-md-3 {
        padding: 1rem !important;
    }
    .pt-md-3,
    .py-md-3 {
        padding-top: 1rem !important;
    }
    .pr-md-3,
    .px-md-3 {
        padding-right: 1rem !important;
    }
    .pb-md-3,
    .py-md-3 {
        padding-bottom: 1rem !important;
    }
    .pl-md-3,
    .px-md-3 {
        padding-right: 1rem !important;
    }
    .p-md-4 {
        padding: 1.5rem !important;
    }
    .pt-md-4,
    .py-md-4 {
        padding-top: 1.5rem !important;
    }
    .pr-md-4,
    .px-md-4 {
        padding-right: 1.5rem !important;
    }
    .pb-md-4,
    .py-md-4 {
        padding-bottom: 1.5rem !important;
    }
    .pl-md-4,
    .px-md-4 {
        padding-right: 1.5rem !important;
    }
    .p-md-5 {
        padding: 3rem !important;
    }
    .pt-md-5,
    .py-md-5 {
        padding-top: 3rem !important;
    }
    .pr-md-5,
    .px-md-5 {
        padding-right: 3rem !important;
    }
    .pb-md-5,
    .py-md-5 {
        padding-bottom: 3rem !important;
    }
    .pl-md-5,
    .px-md-5 {
        padding-right: 3rem !important;
    }
    .m-md-n1 {
        margin: -0.25rem !important;
    }
    .mt-md-n1,
    .my-md-n1 {
        margin-top: -0.25rem !important;
    }
    .mr-md-n1,
    .mx-md-n1 {
        margin-right: -0.25rem !important;
    }
    .mb-md-n1,
    .my-md-n1 {
        margin-bottom: -0.25rem !important;
    }
    .ml-md-n1,
    .mx-md-n1 {
        margin-right: -0.25rem !important;
    }
    .m-md-n2 {
        margin: -0.5rem !important;
    }
    .mt-md-n2,
    .my-md-n2 {
        margin-top: -0.5rem !important;
    }
    .mr-md-n2,
    .mx-md-n2 {
        margin-right: -0.5rem !important;
    }
    .mb-md-n2,
    .my-md-n2 {
        margin-bottom: -0.5rem !important;
    }
    .ml-md-n2,
    .mx-md-n2 {
        margin-right: -0.5rem !important;
    }
    .m-md-n3 {
        margin: -1rem !important;
    }
    .mt-md-n3,
    .my-md-n3 {
        margin-top: -1rem !important;
    }
    .mr-md-n3,
    .mx-md-n3 {
        margin-right: -1rem !important;
    }
    .mb-md-n3,
    .my-md-n3 {
        margin-bottom: -1rem !important;
    }
    .ml-md-n3,
    .mx-md-n3 {
        margin-right: -1rem !important;
    }
    .m-md-n4 {
        margin: -1.5rem !important;
    }
    .mt-md-n4,
    .my-md-n4 {
        margin-top: -1.5rem !important;
    }
    .mr-md-n4,
    .mx-md-n4 {
        margin-right: -1.5rem !important;
    }
    .mb-md-n4,
    .my-md-n4 {
        margin-bottom: -1.5rem !important;
    }
    .ml-md-n4,
    .mx-md-n4 {
        margin-right: -1.5rem !important;
    }
    .m-md-n5 {
        margin: -3rem !important;
    }
    .mt-md-n5,
    .my-md-n5 {
        margin-top: -3rem !important;
    }
    .mr-md-n5,
    .mx-md-n5 {
        margin-right: -3rem !important;
    }
    .mb-md-n5,
    .my-md-n5 {
        margin-bottom: -3rem !important;
    }
    .ml-md-n5,
    .mx-md-n5 {
        margin-right: -3rem !important;
    }
    .m-md-auto {
        margin: auto !important;
    }
    .mt-md-auto,
    .my-md-auto {
        margin-top: auto !important;
    }
    .mr-md-auto,
    .mx-md-auto {
        margin-right: auto !important;
    }
    .mb-md-auto,
    .my-md-auto {
        margin-bottom: auto !important;
    }
    .ml-md-auto,
    .mx-md-auto {
        margin-right: auto !important;
    }
}

@media (min-width: 992px) {
    .m-lg-0 {
        margin: 0 !important;
    }
    .mt-lg-0,
    .my-lg-0 {
        margin-top: 0 !important;
    }
    .mr-lg-0,
    .mx-lg-0 {
        margin-right: 0 !important;
    }
    .mb-lg-0,
    .my-lg-0 {
        margin-bottom: 0 !important;
    }
    .ml-lg-0,
    .mx-lg-0 {
        margin-right: 0 !important;
    }
    .m-lg-1 {
        margin: 0.25rem !important;
    }
    .mt-lg-1,
    .my-lg-1 {
        margin-top: 0.25rem !important;
    }
    .mr-lg-1,
    .mx-lg-1 {
        margin-right: 0.25rem !important;
    }
    .mb-lg-1,
    .my-lg-1 {
        margin-bottom: 0.25rem !important;
    }
    .ml-lg-1,
    .mx-lg-1 {
        margin-right: 0.25rem !important;
    }
    .m-lg-2 {
        margin: 0.5rem !important;
    }
    .mt-lg-2,
    .my-lg-2 {
        margin-top: 0.5rem !important;
    }
    .mr-lg-2,
    .mx-lg-2 {
        margin-right: 0.5rem !important;
    }
    .mb-lg-2,
    .my-lg-2 {
        margin-bottom: 0.5rem !important;
    }
    .ml-lg-2,
    .mx-lg-2 {
        margin-right: 0.5rem !important;
    }
    .m-lg-3 {
        margin: 1rem !important;
    }
    .mt-lg-3,
    .my-lg-3 {
        margin-top: 1rem !important;
    }
    .mr-lg-3,
    .mx-lg-3 {
        margin-right: 1rem !important;
    }
    .mb-lg-3,
    .my-lg-3 {
        margin-bottom: 1rem !important;
    }
    .ml-lg-3,
    .mx-lg-3 {
        margin-right: 1rem !important;
    }
    .m-lg-4 {
        margin: 1.5rem !important;
    }
    .mt-lg-4,
    .my-lg-4 {
        margin-top: 1.5rem !important;
    }
    .mr-lg-4,
    .mx-lg-4 {
        margin-right: 1.5rem !important;
    }
    .mb-lg-4,
    .my-lg-4 {
        margin-bottom: 1.5rem !important;
    }
    .ml-lg-4,
    .mx-lg-4 {
        margin-right: 1.5rem !important;
    }
    .m-lg-5 {
        margin: 3rem !important;
    }
    .mt-lg-5,
    .my-lg-5 {
        margin-top: 3rem !important;
    }
    .mr-lg-5,
    .mx-lg-5 {
        margin-right: 3rem !important;
    }
    .mb-lg-5,
    .my-lg-5 {
        margin-bottom: 3rem !important;
    }
    .ml-lg-5,
    .mx-lg-5 {
        margin-right: 3rem !important;
    }
    .p-lg-0 {
        padding: 0 !important;
    }
    .pt-lg-0,
    .py-lg-0 {
        padding-top: 0 !important;
    }
    .pr-lg-0,
    .px-lg-0 {
        padding-right: 0 !important;
    }
    .pb-lg-0,
    .py-lg-0 {
        padding-bottom: 0 !important;
    }
    .pl-lg-0,
    .px-lg-0 {
        padding-right: 0 !important;
    }
    .p-lg-1 {
        padding: 0.25rem !important;
    }
    .pt-lg-1,
    .py-lg-1 {
        padding-top: 0.25rem !important;
    }
    .pr-lg-1,
    .px-lg-1 {
        padding-right: 0.25rem !important;
    }
    .pb-lg-1,
    .py-lg-1 {
        padding-bottom: 0.25rem !important;
    }
    .pl-lg-1,
    .px-lg-1 {
        padding-right: 0.25rem !important;
    }
    .p-lg-2 {
        padding: 0.5rem !important;
    }
    .pt-lg-2,
    .py-lg-2 {
        padding-top: 0.5rem !important;
    }
    .pr-lg-2,
    .px-lg-2 {
        padding-right: 0.5rem !important;
    }
    .pb-lg-2,
    .py-lg-2 {
        padding-bottom: 0.5rem !important;
    }
    .pl-lg-2,
    .px-lg-2 {
        padding-right: 0.5rem !important;
    }
    .p-lg-3 {
        padding: 1rem !important;
    }
    .pt-lg-3,
    .py-lg-3 {
        padding-top: 1rem !important;
    }
    .pr-lg-3,
    .px-lg-3 {
        padding-right: 1rem !important;
    }
    .pb-lg-3,
    .py-lg-3 {
        padding-bottom: 1rem !important;
    }
    .pl-lg-3,
    .px-lg-3 {
        padding-right: 1rem !important;
    }
    .p-lg-4 {
        padding: 1.5rem !important;
    }
    .pt-lg-4,
    .py-lg-4 {
        padding-top: 1.5rem !important;
    }
    .pr-lg-4,
    .px-lg-4 {
        padding-right: 1.5rem !important;
    }
    .pb-lg-4,
    .py-lg-4 {
        padding-bottom: 1.5rem !important;
    }
    .pl-lg-4,
    .px-lg-4 {
        padding-right: 1.5rem !important;
    }
    .p-lg-5 {
        padding: 3rem !important;
    }
    .pt-lg-5,
    .py-lg-5 {
        padding-top: 3rem !important;
    }
    .pr-lg-5,
    .px-lg-5 {
        padding-right: 3rem !important;
    }
    .pb-lg-5,
    .py-lg-5 {
        padding-bottom: 3rem !important;
    }
    .pl-lg-5,
    .px-lg-5 {
        padding-right: 3rem !important;
    }
    .m-lg-n1 {
        margin: -0.25rem !important;
    }
    .mt-lg-n1,
    .my-lg-n1 {
        margin-top: -0.25rem !important;
    }
    .mr-lg-n1,
    .mx-lg-n1 {
        margin-right: -0.25rem !important;
    }
    .mb-lg-n1,
    .my-lg-n1 {
        margin-bottom: -0.25rem !important;
    }
    .ml-lg-n1,
    .mx-lg-n1 {
        margin-right: -0.25rem !important;
    }
    .m-lg-n2 {
        margin: -0.5rem !important;
    }
    .mt-lg-n2,
    .my-lg-n2 {
        margin-top: -0.5rem !important;
    }
    .mr-lg-n2,
    .mx-lg-n2 {
        margin-right: -0.5rem !important;
    }
    .mb-lg-n2,
    .my-lg-n2 {
        margin-bottom: -0.5rem !important;
    }
    .ml-lg-n2,
    .mx-lg-n2 {
        margin-right: -0.5rem !important;
    }
    .m-lg-n3 {
        margin: -1rem !important;
    }
    .mt-lg-n3,
    .my-lg-n3 {
        margin-top: -1rem !important;
    }
    .mr-lg-n3,
    .mx-lg-n3 {
        margin-right: -1rem !important;
    }
    .mb-lg-n3,
    .my-lg-n3 {
        margin-bottom: -1rem !important;
    }
    .ml-lg-n3,
    .mx-lg-n3 {
        margin-right: -1rem !important;
    }
    .m-lg-n4 {
        margin: -1.5rem !important;
    }
    .mt-lg-n4,
    .my-lg-n4 {
        margin-top: -1.5rem !important;
    }
    .mr-lg-n4,
    .mx-lg-n4 {
        margin-right: -1.5rem !important;
    }
    .mb-lg-n4,
    .my-lg-n4 {
        margin-bottom: -1.5rem !important;
    }
    .ml-lg-n4,
    .mx-lg-n4 {
        margin-right: -1.5rem !important;
    }
    .m-lg-n5 {
        margin: -3rem !important;
    }
    .mt-lg-n5,
    .my-lg-n5 {
        margin-top: -3rem !important;
    }
    .mr-lg-n5,
    .mx-lg-n5 {
        margin-right: -3rem !important;
    }
    .mb-lg-n5,
    .my-lg-n5 {
        margin-bottom: -3rem !important;
    }
    .ml-lg-n5,
    .mx-lg-n5 {
        margin-right: -3rem !important;
    }
    .m-lg-auto {
        margin: auto !important;
    }
    .mt-lg-auto,
    .my-lg-auto {
        margin-top: auto !important;
    }
    .mr-lg-auto,
    .mx-lg-auto {
        margin-right: auto !important;
    }
    .mb-lg-auto,
    .my-lg-auto {
        margin-bottom: auto !important;
    }
    .ml-lg-auto,
    .mx-lg-auto {
        margin-right: auto !important;
    }
}

@media (min-width: 1200px) {
    .m-xl-0 {
        margin: 0 !important;
    }
    .mt-xl-0,
    .my-xl-0 {
        margin-top: 0 !important;
    }
    .mr-xl-0,
    .mx-xl-0 {
        margin-right: 0 !important;
    }
    .mb-xl-0,
    .my-xl-0 {
        margin-bottom: 0 !important;
    }
    .ml-xl-0,
    .mx-xl-0 {
        margin-right: 0 !important;
    }
    .m-xl-1 {
        margin: 0.25rem !important;
    }
    .mt-xl-1,
    .my-xl-1 {
        margin-top: 0.25rem !important;
    }
    .mr-xl-1,
    .mx-xl-1 {
        margin-right: 0.25rem !important;
    }
    .mb-xl-1,
    .my-xl-1 {
        margin-bottom: 0.25rem !important;
    }
    .ml-xl-1,
    .mx-xl-1 {
        margin-right: 0.25rem !important;
    }
    .m-xl-2 {
        margin: 0.5rem !important;
    }
    .mt-xl-2,
    .my-xl-2 {
        margin-top: 0.5rem !important;
    }
    .mr-xl-2,
    .mx-xl-2 {
        margin-right: 0.5rem !important;
    }
    .mb-xl-2,
    .my-xl-2 {
        margin-bottom: 0.5rem !important;
    }
    .ml-xl-2,
    .mx-xl-2 {
        margin-right: 0.5rem !important;
    }
    .m-xl-3 {
        margin: 1rem !important;
    }
    .mt-xl-3,
    .my-xl-3 {
        margin-top: 1rem !important;
    }
    .mr-xl-3,
    .mx-xl-3 {
        margin-right: 1rem !important;
    }
    .mb-xl-3,
    .my-xl-3 {
        margin-bottom: 1rem !important;
    }
    .ml-xl-3,
    .mx-xl-3 {
        margin-right: 1rem !important;
    }
    .m-xl-4 {
        margin: 1.5rem !important;
    }
    .mt-xl-4,
    .my-xl-4 {
        margin-top: 1.5rem !important;
    }
    .mr-xl-4,
    .mx-xl-4 {
        margin-right: 1.5rem !important;
    }
    .mb-xl-4,
    .my-xl-4 {
        margin-bottom: 1.5rem !important;
    }
    .ml-xl-4,
    .mx-xl-4 {
        margin-right: 1.5rem !important;
    }
    .m-xl-5 {
        margin: 3rem !important;
    }
    .mt-xl-5,
    .my-xl-5 {
        margin-top: 3rem !important;
    }
    .mr-xl-5,
    .mx-xl-5 {
        margin-right: 3rem !important;
    }
    .mb-xl-5,
    .my-xl-5 {
        margin-bottom: 3rem !important;
    }
    .ml-xl-5,
    .mx-xl-5 {
        margin-right: 3rem !important;
    }
    .p-xl-0 {
        padding: 0 !important;
    }
    .pt-xl-0,
    .py-xl-0 {
        padding-top: 0 !important;
    }
    .pr-xl-0,
    .px-xl-0 {
        padding-right: 0 !important;
    }
    .pb-xl-0,
    .py-xl-0 {
        padding-bottom: 0 !important;
    }
    .pl-xl-0,
    .px-xl-0 {
        padding-right: 0 !important;
    }
    .p-xl-1 {
        padding: 0.25rem !important;
    }
    .pt-xl-1,
    .py-xl-1 {
        padding-top: 0.25rem !important;
    }
    .pr-xl-1,
    .px-xl-1 {
        padding-right: 0.25rem !important;
    }
    .pb-xl-1,
    .py-xl-1 {
        padding-bottom: 0.25rem !important;
    }
    .pl-xl-1,
    .px-xl-1 {
        padding-right: 0.25rem !important;
    }
    .p-xl-2 {
        padding: 0.5rem !important;
    }
    .pt-xl-2,
    .py-xl-2 {
        padding-top: 0.5rem !important;
    }
    .pr-xl-2,
    .px-xl-2 {
        padding-right: 0.5rem !important;
    }
    .pb-xl-2,
    .py-xl-2 {
        padding-bottom: 0.5rem !important;
    }
    .pl-xl-2,
    .px-xl-2 {
        padding-right: 0.5rem !important;
    }
    .p-xl-3 {
        padding: 1rem !important;
    }
    .pt-xl-3,
    .py-xl-3 {
        padding-top: 1rem !important;
    }
    .pr-xl-3,
    .px-xl-3 {
        padding-right: 1rem !important;
    }
    .pb-xl-3,
    .py-xl-3 {
        padding-bottom: 1rem !important;
    }
    .pl-xl-3,
    .px-xl-3 {
        padding-right: 1rem !important;
    }
    .p-xl-4 {
        padding: 1.5rem !important;
    }
    .pt-xl-4,
    .py-xl-4 {
        padding-top: 1.5rem !important;
    }
    .pr-xl-4,
    .px-xl-4 {
        padding-right: 1.5rem !important;
    }
    .pb-xl-4,
    .py-xl-4 {
        padding-bottom: 1.5rem !important;
    }
    .pl-xl-4,
    .px-xl-4 {
        padding-right: 1.5rem !important;
    }
    .p-xl-5 {
        padding: 3rem !important;
    }
    .pt-xl-5,
    .py-xl-5 {
        padding-top: 3rem !important;
    }
    .pr-xl-5,
    .px-xl-5 {
        padding-right: 3rem !important;
    }
    .pb-xl-5,
    .py-xl-5 {
        padding-bottom: 3rem !important;
    }
    .pl-xl-5,
    .px-xl-5 {
        padding-right: 3rem !important;
    }
    .m-xl-n1 {
        margin: -0.25rem !important;
    }
    .mt-xl-n1,
    .my-xl-n1 {
        margin-top: -0.25rem !important;
    }
    .mr-xl-n1,
    .mx-xl-n1 {
        margin-right: -0.25rem !important;
    }
    .mb-xl-n1,
    .my-xl-n1 {
        margin-bottom: -0.25rem !important;
    }
    .ml-xl-n1,
    .mx-xl-n1 {
        margin-right: -0.25rem !important;
    }
    .m-xl-n2 {
        margin: -0.5rem !important;
    }
    .mt-xl-n2,
    .my-xl-n2 {
        margin-top: -0.5rem !important;
    }
    .mr-xl-n2,
    .mx-xl-n2 {
        margin-right: -0.5rem !important;
    }
    .mb-xl-n2,
    .my-xl-n2 {
        margin-bottom: -0.5rem !important;
    }
    .ml-xl-n2,
    .mx-xl-n2 {
        margin-right: -0.5rem !important;
    }
    .m-xl-n3 {
        margin: -1rem !important;
    }
    .mt-xl-n3,
    .my-xl-n3 {
        margin-top: -1rem !important;
    }
    .mr-xl-n3,
    .mx-xl-n3 {
        margin-right: -1rem !important;
    }
    .mb-xl-n3,
    .my-xl-n3 {
        margin-bottom: -1rem !important;
    }
    .ml-xl-n3,
    .mx-xl-n3 {
        margin-right: -1rem !important;
    }
    .m-xl-n4 {
        margin: -1.5rem !important;
    }
    .mt-xl-n4,
    .my-xl-n4 {
        margin-top: -1.5rem !important;
    }
    .mr-xl-n4,
    .mx-xl-n4 {
        margin-right: -1.5rem !important;
    }
    .mb-xl-n4,
    .my-xl-n4 {
        margin-bottom: -1.5rem !important;
    }
    .ml-xl-n4,
    .mx-xl-n4 {
        margin-right: -1.5rem !important;
    }
    .m-xl-n5 {
        margin: -3rem !important;
    }
    .mt-xl-n5,
    .my-xl-n5 {
        margin-top: -3rem !important;
    }
    .mr-xl-n5,
    .mx-xl-n5 {
        margin-right: -3rem !important;
    }
    .mb-xl-n5,
    .my-xl-n5 {
        margin-bottom: -3rem !important;
    }
    .ml-xl-n5,
    .mx-xl-n5 {
        margin-right: -3rem !important;
    }
    .m-xl-auto {
        margin: auto !important;
    }
    .mt-xl-auto,
    .my-xl-auto {
        margin-top: auto !important;
    }
    .mr-xl-auto,
    .mx-xl-auto {
        margin-right: auto !important;
    }
    .mb-xl-auto,
    .my-xl-auto {
        margin-bottom: auto !important;
    }
    .ml-xl-auto,
    .mx-xl-auto {
        margin-right: auto !important;
    }
}

.stretched-link::after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    pointer-events: auto;
    content: "";
    background-color: rgba(0, 0, 0, 0);
}

.text-monospace {
    font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace !important;
}

.text-justify {
    text-align: justify !important;
}

.text-wrap {
    white-space: normal !important;
}

.text-nowrap {
    white-space: nowrap !important;
}

.text-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.text-left {
    text-align: left !important;
}

.text-right {
    text-align: right !important;
}

.text-center {
    text-align: center !important;
}

@media (min-width: 576px) {
    .text-sm-left {
        text-align: left !important;
    }
    .text-sm-right {
        text-align: right !important;
    }
    .text-sm-center {
        text-align: center !important;
    }
}

@media (min-width: 768px) {
    .text-md-left {
        text-align: left !important;
    }
    .text-md-right {
        text-align: right !important;
    }
    .text-md-center {
        text-align: center !important;
    }
}

@media (min-width: 992px) {
    .text-lg-left {
        text-align: left !important;
    }
    .text-lg-right {
        text-align: right !important;
    }
    .text-lg-center {
        text-align: center !important;
    }
}

@media (min-width: 1200px) {
    .text-xl-left {
        text-align: left !important;
    }
    .text-xl-right {
        text-align: right !important;
    }
    .text-xl-center {
        text-align: center !important;
    }
}

.text-lowercase {
    text-transform: lowercase !important;
}

.text-uppercase {
    text-transform: uppercase !important;
}

.text-capitalize {
    text-transform: capitalize !important;
}

.font-weight-light {
    font-weight: 300 !important;
}

.font-weight-lighter {
    font-weight: lighter !important;
}

.font-weight-normal {
    font-weight: 400 !important;
}

.font-weight-bold {
    font-weight: 700 !important;
}

.font-weight-bolder {
    font-weight: bolder !important;
}

.font-italic {
    font-style: italic !important;
}

.text-white {
    color: #fff !important;
}

.text-primary {
    color: #007bff !important;
}

a.text-primary:hover, a.text-primary:focus {
    color: #0056b3 !important;
}

.text-secondary {
    color: #6c757d !important;
}

a.text-secondary:hover, a.text-secondary:focus {
    color: #494f54 !important;
}

.text-success {
    color: #28a745 !important;
}

a.text-success:hover, a.text-success:focus {
    color: #19692c !important;
}

.text-info {
    color: #17a2b8 !important;
}

a.text-info:hover, a.text-info:focus {
    color: #0f6674 !important;
}

.text-warning {
    color: #ffc107 !important;
}

a.text-warning:hover, a.text-warning:focus {
    color: #ba8b00 !important;
}

.text-danger {
    color: #dc3545 !important;
}

a.text-danger:hover, a.text-danger:focus {
    color: #a71d2a !important;
}

.text-light {
    color: #f8f9fa !important;
}

a.text-light:hover, a.text-light:focus {
    color: #cbd3da !important;
}

.text-dark {
    color: #343a40 !important;
}

a.text-dark:hover, a.text-dark:focus {
    color: #121416 !important;
}

.text-body {
    color: #212529 !important;
}

.text-muted {
    color: #6c757d !important;
}

.text-black-50 {
    color: rgba(0, 0, 0, 0.5) !important;
}

.text-white-50 {
    color: rgba(255, 255, 255, 0.5) !important;
}

.text-hide {
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
}

.text-decoration-none {
    text-decoration: none !important;
}



.text-reset {
    color: inherit !important;
}

.visible {
    visibility: visible !important;
}

.invisible {
    visibility: hidden !important;
}

@media print {
    *,
    *::before,
    *::after {
        text-shadow: none !important;
        box-shadow: none !important;
    }

    a:not(.btn) {
        text-decoration: underline;
    }

    abbr[title]::after {
        content: " (" attr(title) ")";
    }

    pre {
        white-space: pre-wrap !important;
    }

    pre,
    blockquote {
        border: 1px solid #adb5bd;
        page-break-inside: avoid;
    }

    thead {
        display: table-header-group;
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }

    @page {
        size: a3;
    }

    body {
        min-width: 992px !important;
    }

    .container {
        min-width: 992px !important;
    }

    .navbar {
        display: none;
    }

    .badge {
        border: 1px solid #000;
    }

    .table {
        border-collapse: collapse !important;
    }

    .table td,
    .table th {
        background-color: #fff !important;
    }

    .table-bordered th,
    .table-bordered td {
        border: 1px solid #dee2e6 !important;
    }

    .table-dark {
        color: inherit;
    }

    .table-dark th,
    .table-dark td,
    .table-dark thead th,
    .table-dark tbody + tbody {
        border-color: #dee2e6;
    }

    .table .thead-dark th {
        color: inherit;
        border-color: #dee2e6;
    }
}

.img-shop-info{
    min-height: 200px;!important;
    min-width: 200px;!important;
    max-width: 200px;!important;
    max-height: 200px;!important;
    border-radius: 100%;

}
.shop-info-header{
    background-repeat: no-repeat;!important;
    background-size: 100% 100%;!important;
}
a.nav-item.nav-link.active{
    background-color: #eeeeee;
    color: black;

}